Skip to main content
GET
List all articles
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

category_id
string<uuid>

Unique identifier of the category. Refer to Getting the Category ID section for detailed instructions.

page_number
integer

Page of results to retrieve, starting from 1. Defaults to 1 when omitted.

page_size
integer

Number of results per page. Defaults to 30 when omitted. Maximum 100.

Required range: x <= 100
search_term
string

Partial, case-insensitive match on title, slug and body; with state draft or all, also matches unpublished draft revisions. Not relevance ranked; use Search for that. At most 1000 characters.

Maximum string length: 1000
state
enum<string>
default:published

Status of the article. Defaults to published. Pass all to include drafts.

Available options:
draft,
published,
all
sort_by
enum<string>
default:created_at

Field to sort by.

Available options:
title,
slug,
state,
category_name,
views_count,
created_at,
updated_at
order_by
enum<string>
default:desc

Sort direction. Case-insensitive.

Available options:
asc,
desc

Response

OK - Request succeeded

articles
object[]
pagination
object